### Constructor

# FwupdPlugin KernelSearchPathLocker new

since: 2.0.6

#### Declaration [src]

    FuKernelSearchPathLocker*
    fu_kernel_search_path_locker_new (
      const gchar* path,
      GError** error
    )

#### Description [src]

Sets the kernel firmware search path. When the `FuKernelSearchPathLocker` is deallocated path is restored to the previous value.

This object is typically called using `g_autoptr()` but the device can also be manually closed using g_clear_object().

Available since: 2.0.6

#### Parameters

`path`

  Type: `const gchar*`

  The new devivce path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuKernelSearchPathLocker`

A `FuKernelSearchPathLocker`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.